com.h3c.util.pkt

## Enum LldpTlv.Type

- java.lang.Object
- - java.lang.Enum<LldpTlv.Type>
  - - com.h3c.util.pkt.LldpTlv.Type

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<LldpTlv.Type>
  Enclosing class:
    LldpTlv

      public static enum LldpTlv.Type
      extends Enum<LldpTlv.Type>
      implements ProtocolEnum

  Main TLV types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAPS` Capabilities type.
    `CHASSIS_ID` Chassis ID type.
    `END` Signifies the last TLV.
    `MGMT_ADDR` Management Address type.
    `PORT_DESC` Port description type.
    `PORT_ID` Port ID type.
    `PRIVATE` Private (organization) type.
    `SYS_DESC` System description type.
    `SYS_NAME` System name type.
    `TTL` Time to live type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static LldpTlv.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LldpTlv.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### END

          public static final LldpTlv.Type END

      Signifies the last TLV.

    - #### CHASSIS_ID

          public static final LldpTlv.Type CHASSIS_ID

      Chassis ID type.

    - #### PORT_ID

          public static final LldpTlv.Type PORT_ID

      Port ID type.

    - #### TTL

          public static final LldpTlv.Type TTL

      Time to live type.

    - #### PORT_DESC

          public static final LldpTlv.Type PORT_DESC

      Port description type.

    - #### SYS_NAME

          public static final LldpTlv.Type SYS_NAME

      System name type.

    - #### SYS_DESC

          public static final LldpTlv.Type SYS_DESC

      System description type.

    - #### CAPS

          public static final LldpTlv.Type CAPS

      Capabilities type.

    - #### MGMT_ADDR

          public static final LldpTlv.Type MGMT_ADDR

      Management Address type.

    - #### PRIVATE

          public static final LldpTlv.Type PRIVATE

      Private (organization) type.

  - ### Method Detail

    - #### values

          public static LldpTlv.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LldpTlv.Type c : LldpTlv.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LldpTlv.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.